> For the complete documentation index, see [llms.txt](https://docs.cryptofonts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cryptofonts.com/api/how-to-use-the-api.md).

# How to use the API

{% hint style="info" %}
All tokens contained in the API are collected from “safe” sources and do not include scam tokens or fraudulent projects.
{% endhint %}

With this API you'll be able to retrieve blockchain data for a multitude of tokens just by providing the chain ID and the token address. We are currently tracking tokens on more than 12 chains. Please see the chain IDs section below for a full list.

{% hint style="warning" %}
To be able to consume the API you will need an API key. \
[Register your account and request your API key](https://rapidapi.com/cryptofonts/api/cryptofonts-token-icon-api1)
{% endhint %}

By using the Cryptofonts API you will receive the following information for each token:

* Token name
* Logo (png)
* Token Symbol
* Chain ID
* Decimals
* Token address
* Chain name


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cryptofonts.com/api/how-to-use-the-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
